/*****************************************************************************/
/*                                                                           */
/* UNIT: ntl3  (Level 3 library include file)                                */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    17 JUL 94   Version 1.0                                      */
/*                                                                           */
/*****************************************************************************/


#define NTL3                      3

#ifndef NTL2
#include "ntl2.h"
#endif


/* Definitions of constants used or defined by level 2 utility functions     */



/* Type definitions for all types used by level 2 utility functions          */



/* Prototypes of all routines contained in the level2 library                */


errind NTL3_Load_Alignment_1 (char *file_name, align_ptr *alignment);
errind NTL3_Abs_Corres_1 (char *reference, long int offset,
                          char *origins_file, char *alignment_file,
                          int_ptr *result);
errind NTL3_Abs_Corres_2 (char *reference,
                          long int offset_1, long int offset_2,
                          char *origins_file, char *alignment_file,
                          twoint_ptr *result);
errind NTL3_Abs_To_Human (char *alignment_file, twoint_ptr absolutes,
                          fourint_ptr *offsets);
errind NTL3_Corresponds (char *reference, long int offset, char *new_origin,
                         char *origins_file, char *alignment_file,
                         appint_ptr *result);
errind NTL3_Matches (char *sequence, char *pattern,
                     int direction, float precision, bool *match);
errind NTL3_Origin_Sequence (char *orig_file, char *origin,
                             char **sequence, long int *offset);
errind NTL3_Abs_Spec (long int position, char *origin,
                      char *origins_file, char *alignment_file,
                      appint_ptr *result);

