/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL0_iabs  (Level 0 library routine)                                */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    27 JUN 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure returns the (integer) absolute value of the received integer  */
/* number                                                                    */
/*                                                                           */
/*****************************************************************************/


#include "ntl0.h"


/*****************************************************************************/

int NTL0_iabs (int value) { if (value >= 0) return value; else return -value; }

