/*****************************************************************************/
/*                                                                           */
/* UNIT: ntl4  (Level 4 library include file)                                */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    09 SEP 94   Version 1.0                                      */
/*                                                                           */
/*****************************************************************************/


#define NTL4                      4

#ifndef NTL3
#include "ntl3.h"
#endif


/* Definitions of constants used or defined by level 4 utility functions     */

/* Type definitions for all types used by level 4 utility functions          */


/* Prototypes of all routines contained in the level 4 library               */


char *abs_corres_1 (char *reference, long int offset, int_ptr *result);
char *abs_corres_2 (char *reference, long int offset_1, long int offset_2,
                    twoint_ptr *result);
char *abs_to_human (twoint_ptr absolutes, fourint_ptr *offsets);
char *corresponds (char *reference, long int offset, char *new_origin,
                   appint_ptr *result);
int overlaps (twoint_ptr list_1, twoint_ptr list_2);
int matches (char *sequence, char *pattern, int direction, float precision);
char *origin_sequence (char *origin, char **owner, long int *offset);
char *abs_spec (long int position, char *origin, appint_ptr *result);

